[Pharo-project] [Metacello] #currentVersion is wrong?

Dale Henrichs dhenrich at vmware.com
Wed Jun 15 14:27:35 EDT 2011


Mariano,

For some reason in Pharo1.3a-13259 the package Metacello-Help-DaleHenrichs.9 is loaded instead of Metacello-Help-dkh.11 (all other Metacello packages are correct for 1.0-beta.29). So that forces the version of Metacello to be 1.0-beta.28.5, which forces the version of Pharo to be 1.2.2.

If you load Metacello-Help-dkh.11:

  (ConfigurationOfMetacello project version: '1.0-beta.29') load.

and check the version of Pharo, you'll find that it is 'correct'.

Now, I'm not sure what the old version of help is being loaded ...

Dale

----- Original Message -----
| From: "Mariano Martinez Peck" <marianopeck at gmail.com>
| To: metacello at googlegroups.com, "Pharo Development" <pharo-project at lists.gforge.inria.fr>
| Sent: Friday, June 10, 2011 6:03:46 AM
| Subject: [Metacello] #currentVersion is wrong?
| 
| Hi Dale. If I took the latest Pharo 1.3 from hudson:
| https://pharo-ic.lille.inria.fr/hudson/view/Pharo/job/Pharo%201.3/214/
| 
| and I print
| ConfigurationOfPharo project currentVersion
| 
| I get ->>>>> >=1.2.2 [ConfigurationOfPharo]
| 
| But in fact, that's not true. It should be 1.3-beta2
| [ConfigurationOfPharo]
| 
| I've checked and the real version loaded is 1.3-beta2 so I think it
| is a problem of #currentVersion.
| 
| Thanks
| 
| --
| Mariano
| http://marianopeck.wordpress.com
| 
| 




More information about the Pharo-dev mailing list